Skip to main content
GET
/
servers
List servers in the active organization
curl --request GET \
  --url https://console.wenium.com/api/servers \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 10,
    "name": "web-server-01",
    "vcpu": 2,
    "ram": 2048,
    "disk": 40,
    "bw_used": 12.34,
    "main_ipv4": "192.168.1.100",
    "main_ipv6": "2001:db8::1",
    "template": "Ubuntu 22.04",
    "firewall_group_id": 5,
    "created_at": "2026-07-03T00:00:00.000000Z",
    "renewed_at": "2026-07-03T00:00:00.000000Z",
    "due_date": "2026-08-03T00:00:00.000000Z",
    "recurring_amount": 15,
    "amount_paid": 15,
    "payment_currency": "USD",
    "billing_cycle": "monthly",
    "status": "running"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Array of user servers

id
integer
Example:

10

name
string
Example:

"web-server-01"

vcpu
integer
Example:

2

ram
integer
Example:

2048

disk
integer
Example:

40

bw_used
number
Example:

12.34

main_ipv4
string<ipv4>
Example:

"192.168.1.100"

main_ipv6
string<ipv6> | null
Example:

"2001:db8::1"

template
string
Example:

"Ubuntu 22.04"

firewall_group_id
integer | null
Example:

5

created_at
string<date-time>
Example:

"2026-07-03T00:00:00.000000Z"

renewed_at
string<date-time>
Example:

"2026-07-03T00:00:00.000000Z"

due_date
string<date-time> | null
Example:

"2026-08-03T00:00:00.000000Z"

recurring_amount
number
Example:

15

amount_paid
number
Example:

15

payment_currency
string
Example:

"USD"

billing_cycle
string
Example:

"monthly"

status
string
Example:

"running"